Bug 353260

Summary: /usr/share/mlt/profiles/ is wrong on Opensuse Tumbleweed
Product: [Applications] kdenlive Reporter: Steve <stevej>
Component: InstallationAssignee: Vincent PINON <vpinon>
Status: RESOLVED FIXED    
Severity: major CC: m.krasilnikov
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
See Also: https://bugs.kde.org/show_bug.cgi?id=440634
Latest Commit: Version Fixed In: 15.12.0

Description Steve 2015-09-28 01:56:35 UTC
In Opensuse Tumbleweed melt is in
/usr/share/mlt-6/profiles/

On Kdenlive start it can not find the profiles and ask for the correct path. Supplying the correct path will get you in to Kdenlive, but the setting is not saved in:
Menu
Settings
Configure Kdenlive
Environment
MLT Environment
MLT Profiles Folder

On restart you will have to supply the path again.
You can not manually edit the MLT Profiles Folder field and have it saved.

My temporary solution is to copy 
/usr/share/mlt-6 TO
/usr/share/mlt

Now Kdenlive starts normally. I suppose a better temp fix is to make a shortcut instead of copying, but the best fix is to have Kdenlive also check the mlt-6 path and be able to save the edited field "MLT Profiles Folder".
Comment 1 Mikhail Krasilnikov 2015-10-14 11:54:53 UTC
I think that this bug should be titled "MLT profiles path settings is ignored".

In kdenlinerc path stored correctly:

[env]
…
mltpath[$e]=/usr/share/mlt-6/profiles/

But at every startup kdenlive tries "/usr/share/mlt/profiles/".
Comment 2 Steve 2015-10-17 01:38:19 UTC
Mikhail,

I checked the file kdenliverc as you suggested and you are right. The setting is there but kdenlive does not honor it.

However, my title is still accurate.
 /usr/share/mlt/profiles/ is wrong on Opensuse Tumbleweed

Even if kdenlive honored the setting in the file kdenliverc, on initial first run, the user is presented with an error condition that they must resolve on their own.
Comment 3 Vincent PINON 2015-12-01 00:04:24 UTC
Git commit 22f0e83387b8ca3f0c2b5d3b6ed1bcab547fe837 by Vincent Pinon.
Committed on 01/12/2015 at 00:03.
Pushed by vpinon into branch 'Applications/15.12'.

Fix setting MLT paths with environment/build variables

M  +14   -17   src/mltconnection.cpp

http://commits.kde.org/kdenlive/22f0e83387b8ca3f0c2b5d3b6ed1bcab547fe837